/* PrefsController */

#import <Cocoa/Cocoa.h>

@interface PrefsController : NSObject
{
	NSArray * publicKeys;
	NSArray * pendingKeys;
	NSArray * ipAddresses;
	
    IBOutlet id prefsPanel;
	IBOutlet id keygenAuxView;
	IBOutlet id publicKeyImportPublicKeyButton;
	IBOutlet id keygenImportKeyTextField;

	IBOutlet id publicKeyTableView;
	IBOutlet id pendingKeyTableView;
	IBOutlet id ipAddressTableView;

}

- (IBAction) close: (id)sender;
- (IBAction) showPrefs: (id)sender;
- (IBAction) importPublicKeys: (id)sender;
- (IBAction) viewPublicKeys: (id)sender;
- (IBAction) importKeyText: (id)sender;
- (IBAction) copyPublicKey: (id)sender;

- (void) importPublicKeysFromFile: (NSString *)file;

@end
