//
//  SharedAppController.m
//  Waste
//
//  Created by Randy Antler on Mon Jun 02 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "SharedAppController.h"

static id _sharedInstance = nil;

@implementation SharedAppController

+ (void)initialize;
{
	if (!_sharedInstance) {
		_sharedInstance = [[SharedAppController alloc] init];
	}
}

+ (SharedAppController *)sharedController;
{
	return _sharedInstance;
}

+ (AppController *)appController;
{
	return [_sharedInstance _appController];
}

- (AppController *)_appController;
{
	return _sharedController;
}

- (void)_setAppController: (AppController *)theController;
{
	_sharedController = theController;
}

- (void)dealloc;
{
	[_sharedInstance release];
	[super dealloc];
}

@end
